import os
import sys

os.environ['ENVIRONMENT'] = 'dev'
os.environ['INSTANCE'] = 'local'
os.environ['PREFIX_URL'] = ''

from cts.settings.base import *

INSTANCE_NAME = 'Local'
INSTANCES = [
    (INSTANCE_NAME, ''),
]

DATABASES = {
    'default': {
        'ENGINE': 'django.contrib.gis.db.backends.postgis',
        'NAME': 'cts',
        'USER': 'cts',
        'PASSWORD': '${CTS_PWD}',
        'HOST': 'postgres',
        'PORT': '5432',
    }
}
SECRET_KEY = '${CTS_SECRET}'

ADMINS = (
    ('Admin', 'admin@example.com'),
)

INTERNAL_IPS = ('127.0.0.1', )
ALLOWED_HOSTS = ['*']
PUBLIC_ROOT = os.path.join(PROJECT_ROOT, 'public')
SENDFILE_ROOT = os.path.join(PUBLIC_ROOT, 'static/protected')
COMPRESS_ENABLED = False

EMAIL_BACKEND = 'django.core.mail.backends.console.EmailBackend'
SERVER_EMAIL = 'admin@example.com'

CELERY_ALWAYS_EAGER = True
CELERY_EAGER_PROPAGATES_EXCEPTIONS = True

TIME_ZONE = 'Europe/Prague'
LANGUAGE_CODE = 'cs'

DEBUG = True
TEMPLATE_DEBUG = DEBUG
